Retrieve an existing Endpoint
GET
https://api.neuroscale.io/v2.0/instances/{instance-id}/endpoints/{endpoint-id}
Path parameters¶
| Name | Type | Description |
|---|---|---|
instance-id |
String | Unique identifier of the Instance. |
endpoint-id |
String | Unique identifier of the Endpoint. |
The Endpoint resource has the following attributes:
| Name | Type | Description |
|---|---|---|
| created_at | Timestamp | Date and time of creation as a Unix timestamp. |
| id | String | Unique identifier of the Endpoint. |
| instance | String | Unique identifier of the Instance that owns the Endpoint. |
| mode | String | Mode of the Endpoint (value is either "read" or "write"). |
| object | String | Resource type (value is "endpoint"). |
| updated_at | Timestamp | Date and time of last modification as a Unix timestamp. |
| url | String | Uniform Resource Locator (URL) specifying the protocol, host, port and path to stream data to/from NeuroScale using the Endpoint. |
Authentication¶
Type: Access token
Required scopes: instance or read:instance